[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Fwd: oo-install broker failing to load



Hi,

I have installed OpenShift Origin using the oo-install command(sh <(curl -s https://install.openshift.com/)).
I have the components broker, msgserver, DBserver and node setup on four different machines. 

The broker application is failing to load. Here is the output of the oo-diagnostic script-

/usr/sbin/oo-diagnostics 

FAIL: rescue in load_broker_rails_env

        Broker application failed to load. This is often a gem dependency problem.

        Updating rubygem RPMs and restarting openshift-broker

        to regenerate the broker Gemfile.lock may fix the problem.

        The actual error encountered was:

        #<Moped::Errors::AuthenticationFailure: The operation: #<Moped::Protocol::Commands::Authenticate

  @length=163

  @request_id=3

  @response_to=0

  @op_code=2004

  @flags=[]

  @full_collection_name="openshift_broker.$cmd"

  @skip=0

  @limit=-1

  @selector={:authenticate=>1, :user=>"openshift", :nonce=>"cfc0ea89ffac344b", :key=>"e0829b4e2c9a8d23aa483596011ac07d"}

  @fields=nil>

failed with error 18: "auth fails"


See https://github.com/mongodb/mongo/blob/master/docs/errors.md

for details about this error.>

        ***

        THIS PROBLEM NEEDS TO BE RESOLVED FOR THE BROKER TO WORK.

        DISABLING BROKER TESTS.

        ***

When I googled this error, I came across a thread where this error message was mentioned. But, there was no fix mentioned. 

Please note that I have installed the ruby193-rubygem-sass-twitter-bootstrap package. 

Please suggest what the exact problem is and how to go about solving this error. Let me know if you need any other information. 


Thanks,

Aditi


 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]